﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadControlsWinFormsApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.radCarousel1.KeyUp += new KeyEventHandler(radCarousel1_KeyUp);
        }

        void radCarousel1_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Left)
            {
                this.radCarousel1.SelectedIndex--;
            }
            else if (e.KeyCode == Keys.Right)
            {
                this.radCarousel1.SelectedIndex++;
            }
            else if (e.KeyCode == Keys.Enter)
            {
                if (this.radCarousel1.SelectedItem != null)
                {
                    ((RadButtonElement)this.radCarousel1.SelectedItem).PerformClick();
                }
            }
        }

        private void cmdRibbonBar_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Ribbon Bar");
        }

        private void cmdGridView_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Grid View");
        }

        private void cmdTreeView_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Tree View");
        }

        private void cmdWizard_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Wizard");
        }
    }
}