﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using RadControlsWinFormsApp.Q12011.New;
using RadControlsWinFormsApp.Q12011.Updated;
using RadControlsWinFormsApp.Q22011.C_Theme;
using RadControlsWinFormsApp.Q22011.New;
using RadControlsWinFormsApp.Q22011.Updated;

namespace RadControlsWinFormsApp
{
    public partial class Launcher : Telerik.WinControls.UI.RadForm
    {
        bool useWelcomeDialog = true;
        public Launcher()
        {
            InitializeComponent();
        }

        private void cmdWizard_Click(object sender, EventArgs e)
        {
            A_RadWizardDemo wiz = new A_RadWizardDemo(useWelcomeDialog);
            var result = wiz.ShowDialog();
            if (DialogResult.OK == result)
            {
                 useWelcomeDialog = wiz.UseWelcomePage;
            }
        }

        private void cmdTreeView_Click(object sender, EventArgs e)
        {
            A_RadTreeViewDemo treeview = new A_RadTreeViewDemo();
            treeview.Show();
        }

        private void cmdScheduler_Click(object sender, EventArgs e)
        {
            B_RadSchedulerDemo sched = new B_RadSchedulerDemo();
            sched.Show();
        }

        private void cmdRibbonBar_Click(object sender, EventArgs e)
        {
            C_RadRichTextBoxDemo ribbon = new C_RadRichTextBoxDemo();
            ribbon.Show();
        }

        private void cmdGridView_Click(object sender, EventArgs e)
        {
            C_RadGridViewDemo grid = new C_RadGridViewDemo();
            grid.Show();
        }

        private void cmdListView_Click(object sender, EventArgs e)
        {
            A_ListViewDemo listview = new A_ListViewDemo();
            listview.Show();
        }

        private void cmdPropertyGrid_Click(object sender, EventArgs e)
        {
            B_PropertyGridDemo propGrid = new B_PropertyGridDemo();
            propGrid.Show();
        }

        private void cmdRichTextBox_Click(object sender, EventArgs e)
        {
            C_RadRichTextBoxDemo richText = new C_RadRichTextBoxDemo();
            richText.Show();
        }

        private void cmdGridViewExpression_Click(object sender, EventArgs e)
        {
            B_EnhancedGridViewDemo gridViewDemo2 = new B_EnhancedGridViewDemo();
            gridViewDemo2.Show();
        }

        private void cmdTimePickerMaskedEdit_Click(object sender, EventArgs e)
        {
            A_UpdatedControls controls = new A_UpdatedControls();
            controls.Show();
        }

        private void cmdMetroDemo_Click(object sender, EventArgs e)
        {
            MetroThemeDemo metro = new MetroThemeDemo();
            metro.Show();
        }
    }
}
